#!/usr/bin/perl

# pgp_test.pl is a test script to isolate and confirm PGP/GPG is installed and properly configured on your web host.
# Revised 3/11/01

####################################################
# VARIABLES

$pgpprog = "/usr/bin/pgp";
$pgptempdir = "/home/test/temp";
$tempfile = "pgp_test.txt";
$pgpuserid = 'jack';
$pgp_version = "2.6.2";

#$ENV{'PGPPATH'} = '/home/.pgp';
#$ENV{'GNUPGHOME'} = '/home/users/jack/.gnupg';

####################################################
# NOTES:

# Your web host will be able to tell you what value all of these variables above should be set with.
# $pgpprog should be set to the system path of the PGP program.
# $pgptempdir should be set to the system path to the temp directory that PGP uses. Not a system path that you want PGP to use, but the system path that PGP does indeed use as it's temp directory.
# $tempfile doesn't need to be changed.
# $pgpuserid is either a name or an email address, but never both. Example: 'Smith' or 'yourname@host.com'. You need to supply your web host with a copy of your public PGP/GPG key. They will put it in their public PGP key ring and let you know what your PGP ID is.
# $pgp_version. Put exactly "2.6.2", "2.6.3ia", "5.0", "6.5.2", "gpg1.0" or "gpg1.0.6" (if you use GPG). Nothing else.
# $ENV{'PGPPATH'}. If you use PGP, then remove the "#" from the left margin of $ENV{'PGPPATH'} and set that system path. Your host will know what this path needs to be. In some cases your host will say you don't need to set this, so just leave it with the "#" in the left margin.
# $ENV{'GNUPGHOME'}. If you use GPG, then remove the "#" from the left margin of $ENV{'GNUPGHOME'} and set that system path. Your host will know what this path needs to be. In some cases your host will say you don't need to set this, so just leave it with the "#" in the left margin.


####################################################
# PROGRAM CODE. DON'T EDIT ANYTHING BELOW THIS LINE.

print "Content-Type: text/html\n\n";
print "Now check $pgptempdir and see if an encrypted version of $tempfile is there.<BR>Click REFRESH in your FTP program.<BR>";

if ($pgp_version eq "5.0")
{
   system("$pgpprog -r $pgpuserid $pgptempdir/$tempfile");
}
elsif ($pgp_version =~ /^(6\.5)/)
{
   system("$pgpprog -e $pgptempdir/$tempfile $pgpuserid");
}
elsif ($pgp_version eq "gpg1.0")
{
   system("$pgpprog -ear $pgpuserid $pgptempdir/$tempfile > $pgptempdir/out 2>&1");
   #system("$pgpprog -tear $pgpuserid $pgptempdir/$tempfile");
}
elsif ($pgp_version eq "gpg1.0.6")
{
   system("$pgpprog --batch --always-trust -eatr $pgpuserid $pgptempdir/$tempfile > $pgptempdir/out 2>&1");
}
else
{
   system("$pgpprog +batchmode -eat $pgptempdir/$tempfile $pgpuserid");
}

#@list = system("$pgpprog pgpk -1 $pgpuserid");
#foreach (@list) { print "$_<BR>"; }



